%define ver 0.9.1
%define name kisdnload
Name: %{name}
Summary: kisdnload - ISDN load average display for KDE
Version: %{ver}
Release: 6
Source: ftp://ftp.kde.org/pub/kde/stable/latest/distribution/tar/source/%{name}-%{version}.tar.gz
Url: http://wetap8.physik.uni-mainz.de/sas/kisdnload
Group: Applications/System
BuildRoot: /var/tmp/%{name}-root
Copyright: GPL
Requires: qt1x >= 1.45

%description
kisdnload displays a periodically updating histogram of the ISDN load average.

%prep
%setup -q

%build
export KDEDIR=/usr
export QTDIR=/usr/lib/qt-1.45
export MOC=$QTDIR/bin/moc

%configure \
	--prefix=$KDEDIR --x-includes=/usr/include/kde \
	--x-libraries=/usr/X11R6/lib 

make

%install
make install prefix=$RPM_BUILD_ROOT/$KDEDIR

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f file.list.%{name}

%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix URL
- Require qt1x, not qt
- Qt 1.45
- Use the configure macro

* Thu Nov 18 1999 Ngo Than <than@redhat.de>
- initial RPM for powertools-6.2
